Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
Ibexa\Core\Repository\Validator\TargetContentValidator Class Reference

Validator for checking existence of content and its content type. More...

Inheritance diagram for Ibexa\Core\Repository\Validator\TargetContentValidator:

## Public Member Functions
| __construct (ContentService $contentService, ContentTypeService $contentTypeService)
| validate (int $value, array $allowedContentTypes=[])

## Private Attributes
| $contentService
| $contentTypeService

## Detailed Description

Validator for checking existence of content and its content type.

Definition at line 22 of file TargetContentValidator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

Ibexa\Core\Repository\Validator\TargetContentValidator::__construct | ( | ContentService | $contentService,
|  | ContentTypeService | $contentTypeService
| ) |  |

Definition at line 30 of file TargetContentValidator.php.

References Ibexa\Core\Repository\Validator\TargetContentValidator\$contentService, and Ibexa\Core\Repository\Validator\TargetContentValidator\$contentTypeService.

## Member Function Documentation

## ◆ validate()

Ibexa\Core\Repository\Validator\TargetContentValidator::validate | ( | int | $value,
|  | array | $allowedContentTypes = `[]`
| ) |  |

Implements Ibexa\Core\Repository\Validator\TargetContentValidatorInterface.

Definition at line 38 of file TargetContentValidator.php.

## Member Data Documentation

## ◆ $contentService

Ibexa\Core\Repository\Validator\TargetContentValidator::$contentService
| private

Definition at line 25 of file TargetContentValidator.php.

Referenced by Ibexa\Core\Repository\Validator\TargetContentValidator\__construct().

## ◆ $contentTypeService

Ibexa\Core\Repository\Validator\TargetContentValidator::$contentTypeService
| private

Definition at line 28 of file TargetContentValidator.php.

Referenced by Ibexa\Core\Repository\Validator\TargetContentValidator\__construct().

The documentation for this class was generated from the following file:

- TargetContentValidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.